#!/bin/sh
# Next setup steps for a server whose login policy has just been set from
# the outside via ./init_user_and_keybased_login.sh.
set -e

# Provide maximum input for set_hostname_and_fqdn.sh.
if [ "$#" -ne 2 ]; then
    echo 'Need exactly two arguments (hostname, FQDN).'
    false
fi
hostname="$1"
fqdn="$2"

# Set up system without user environment.
config_tree_prefix="${HOME}/config/buster"
setup_scripts_dir="${config_tree_prefix}/setup_scripts"
cd "${setup_scripts_dir}"
./setup.sh "${hostname}" "${fqdn}" server

# If we have not yet set the shell for user plom, ensure it here. This
# is mostly for convenience.
usermod -s /bin/bash plom

# Enable firewall.
systemctl enable nftables.service
